加密钱包
获取白名单地址列表
列出加密货币提现白名单中的地址,支持可选筛选条件和分页。
GET
/
v2
/
user
/
whitelistAddress
获取白名单地址列表
curl --request GET \
--url https://api-test.velafi.com/v2/user/whitelistAddress \
--header 'X-BH-TOKEN: <api-key>'import requests
url = "https://api-test.velafi.com/v2/user/whitelistAddress"
headers = {"X-BH-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BH-TOKEN': '<api-key>'}};
fetch('https://api-test.velafi.com/v2/user/whitelistAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api-test.velafi.com/v2/user/whitelistAddress")
.header("X-BH-TOKEN", "<api-key>")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"currentPage": 123,
"size": 123,
"total": 123,
"record": [
{
"addressId": 123,
"crypto": "<string>",
"chainType": "<string>",
"address": "<string>",
"addressTag": "<string>",
"remark": "<string>"
}
]
}
}使用此端点列出加密货币提现白名单中的有效条目。
所有请求都必须在
X-BH-TOKEN 请求头中携带访问令牌。请参阅认证。端点
GET https://api.velafi.com/v2/user/whitelistAddress
查询参数
string
按代币符号筛选。
string
按网络名称筛选。
string
按地址筛选。
string
按 memo 或标签筛选。
number
默认值:"1"
页码,从
1 开始。默认为 1。number
默认值:"10"
每页记录数,范围为
1 到 1000。默认为 10。响应字段
number
200 表示成功。string
成功时为
SUCCESS。object
示例
cURL
curl -G https://api.velafi.com/v2/user/whitelistAddress \
-H "X-BH-TOKEN: YOUR_ACCESS_TOKEN" \
--data-urlencode "crypto=USDT" \
--data-urlencode "chainType=TRC20"
⌘I
获取白名单地址列表
curl --request GET \
--url https://api-test.velafi.com/v2/user/whitelistAddress \
--header 'X-BH-TOKEN: <api-key>'import requests
url = "https://api-test.velafi.com/v2/user/whitelistAddress"
headers = {"X-BH-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BH-TOKEN': '<api-key>'}};
fetch('https://api-test.velafi.com/v2/user/whitelistAddress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api-test.velafi.com/v2/user/whitelistAddress")
.header("X-BH-TOKEN", "<api-key>")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"currentPage": 123,
"size": 123,
"total": 123,
"record": [
{
"addressId": 123,
"crypto": "<string>",
"chainType": "<string>",
"address": "<string>",
"addressTag": "<string>",
"remark": "<string>"
}
]
}
}
